<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/xsl" href="../../../stylesheets/milestone-bulletList.xsl"?>
<plan xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../../../milestonePlan.xsd">
	<component name="xml" subproject="wst">
		<description>Milestone planning for XML Component</description>
		<milestone name="M9">
			<title>1.0M9 Plan - updated 9/26/2005</title>
			<category name="Design for Platform Use">
				<detail>Provide API to embed source page editor in multipage editors and improve integration with the Eclipse platform</detail>
				<item priority="medium" status="new">
					<description>Continue to Document Designs and API, create JUnit and Performance Tests</description>
					<detail>
						Create more JUnit tests, verify performance runs.
					</detail>
				</item>
				<item priority="medium" status="in-progress">
					<description>Continue refactoring to improve separation of components</description>
				</item>
				<item priority="medium" status="new">
					<description>Declare supported API for IDOMModel</description>
					<developer name="DMW" time="1" />
				</item>
				<item priority="medium" status="new" bug="112281">
					<description>Declare supported API for XML Catalog extension points</description>
					<developer name="CS"/>
				</item>				
			</category>
			<category name="Performance">
			<detail>Improve memory usage, performance, and thread safety</detail>
				<item priority="low" status="investigate">
					<description>Improve partitioner's performance.</description>
					<detail>Use separate data structure. Investigate generated JavaCC parser on JFlex tokens. This should have a notable effect on the speed on the scrolling speed in the editor.</detail>
					<developer name="NSD" />
				</item>
				<item priority="low" status="new">
					<description>Improve formatter performance</description>
				</item>
			</category>
		</milestone>
	</component>
</plan>
